Subject: bug#76084: 31.0.50; Dragging tab line does not resize windows, unlike header line or mode line

From: martin rudalics <[email-masked]>
Date: Mon, 10 Feb 2025 11:15:18 +0100

>> I attach a patch for this that hopefully does not negatively affect
 >> 'tab-line-mouse-move-tab'.  Juri will have to check.
 >
 > Thanks!  I confirm everything works nicely.

Pushed now.

 > Also changing the mouse cursor while dragging the tab-line tab with
 > 'tab-line-mouse-move-tab' would be nice to do.  But it seems
 > this is not simple to do, and need to add something like
 > 'tab_bar__dragging_in_progress'.

I think you should do that but maybe use a more generic name like
'drag_item_in_progress' so one could use it for tool bar items too.

martin